
#ifdef __cplusplus
extern "C" {
#endif

#pragma once


#include "OGDFType.h"

#include "STDDeletable.h"

#include "stdcxxType.h"


#define COLOR_DECL_VIRT(Type) \



#define COLOR_DECL_NONVIRT(Type) \
Type##_p Type##_newColor ( string_p str );\
bool Type##_color_fromString ( Type##_p p, string_p str );


#define COLOR_DECL_ACCESSOR(Type) \



#define COLOR_DEF_VIRT(Type) \



#define COLOR_DEF_NONVIRT(Type) \
Type##_p Type##_newColor ( string_p str ) {\
Type* newp=new Type(from_nonconstref_to_nonconstref<string, string_t>(*(str)));return from_nonconst_to_nonconst<Type##_t, Type>(newp);\
}\
\
bool Type##_color_fromString ( Type##_p p, string_p str ) {\
return ((TYPECASTMETHOD(Type, color_fromString, Color))(p))->fromString(from_nonconstref_to_nonconstref<string, string_t>(*(str)));\
}


#define COLOR_DEF_ACCESSOR(Type) \



DELETABLE_DECL_VIRT(Color)
COLOR_DECL_VIRT(Color)
COLOR_DECL_NONVIRT(Color)
COLOR_DECL_ACCESSOR(Color)

#ifdef __cplusplus
}
#endif

